Open Infrastructure - Task #7483

Update the __consul cdist type for alpine
12/15/2019 11:03 PM - Nico Schottelius
Target version:
PM Check date:

Description
seems like the configuration place is different on current alpine that what we assumed/what is in our normal config file:

[23:01] router2.placeb:/etc/consul# cat server.json
{
"data_dir": "/var/consul",
"server": true,
"bootstrap_expect": 1,
"disable_update_check": true,
"disable_remote_exec": true,
"enable_syslog": true
}
[23:01] router2.place5:/etc/consul# cd conf.d/
[23:01] router2.place5:/etc/consul/conf.d# 1s
config.json service_node-exporter. json
[23:01] router2.place5:/etc/consul/conf.d# cat config. json
{

"data_dir": "/var/lib/consul"

,"bind_addr": "2a0a:e5c0::4"

,"client_addr": "2al0a:e5c0::4 ::1 127.0.0.1"
,"datacenter": "place5"

,"disable_remote_exec": true

, "disable_update_check": true

, "encrypt": "...

,"retry_join": ["redl.place5.ungleich.ch","red2.place5.ungleich.ch","red3.place5.ungleich.ch"]
}
[23:01] router2.place5:/etc/consul/conf.d#

If possible, I'd probably replace the server.json parts to include the conf.d/config.json or something in more clean so it still works on
devuan/debian/ubuntu

History

#1 - 01/21/2020 10:32 AM - Timothée Floure

- Status changed from New to In Progress

| got the same issue with *___consul_agent’ on Debian, which | am currently fixing upstream.

https://code.ungleich.ch/ungleich-public/cdist/merge_requests/837

#2 - 02/24/2020 09:31 AM - Timothée Floure

Alpine package support: https://code.ungleich.ch/ungleich-public/cdist/merge_requests/851

#3 - 02/24/2020 11:25 AM - Timothée Floure

- Status changed from In Progress to Closed

Merged in CDIST upstream (master).
